Bug 1571294 - [abrt] qt-creator: qtcreator killed by SIGSEGV
Summary: [abrt] qt-creator: qtcreator killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c8d8f60164532773b9b8ed48d68...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 13:13 UTC by Reverend Homer
Modified: 2018-11-30 21:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:12:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (76.55 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: core_backtrace (24.86 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: dso_list (26.81 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: environ (1.49 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: maps (128.03 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: mountinfo (3.99 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: open_fds (4.22 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-24 13:14 UTC, Reverend Homer
no flags Details

Description Reverend Homer 2018-04-24 13:13:56 UTC
Description of problem:
I've switched GTK theme to "Adwaita Dark" and back to "Adwaita" a couple of times

Version-Release number of selected component:
qt-creator-4.6.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        qtcreator
executable:     /usr/bin/qtcreator
journald_cursor: s=c625e0d3d33049e6966a450e22638718;i=4028;b=e284cbc00f594e86be85bcc101d1b12d;m=2ff23110d;t=56a97c2cd356a;x=2189d50e7e344a28
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 QCommonStyle::drawPrimitive at styles/qcommonstyle.cpp:743
 #2 Utils::StyleHelper::<lambda(const QRect&, const QColor&)>::operator() at stylehelper.cpp:331
 #3 Utils::StyleHelper::drawArrow at stylehelper.cpp:338
 #4 Core::Internal::FancyToolButton::paintEvent at fancyactionbar.cpp:252
 #5 QWidget::event at kernel/qwidget.cpp:9279
 #6 QAbstractButton::event at widgets/qabstractbutton.cpp:968
 #7 QToolButton::event at widgets/qtoolbutton.cpp:982
 #8 Core::Internal::FancyToolButton::event at fancyactionbar.cpp:88
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3722

Comment 1 Reverend Homer 2018-04-24 13:14:04 UTC
Created attachment 1426047 [details]
File: backtrace

Comment 2 Reverend Homer 2018-04-24 13:14:05 UTC
Created attachment 1426048 [details]
File: cgroup

Comment 3 Reverend Homer 2018-04-24 13:14:07 UTC
Created attachment 1426049 [details]
File: core_backtrace

Comment 4 Reverend Homer 2018-04-24 13:14:09 UTC
Created attachment 1426050 [details]
File: cpuinfo

Comment 5 Reverend Homer 2018-04-24 13:14:11 UTC
Created attachment 1426051 [details]
File: dso_list

Comment 6 Reverend Homer 2018-04-24 13:14:12 UTC
Created attachment 1426052 [details]
File: environ

Comment 7 Reverend Homer 2018-04-24 13:14:13 UTC
Created attachment 1426053 [details]
File: exploitable

Comment 8 Reverend Homer 2018-04-24 13:14:15 UTC
Created attachment 1426054 [details]
File: limits

Comment 9 Reverend Homer 2018-04-24 13:14:17 UTC
Created attachment 1426055 [details]
File: maps

Comment 10 Reverend Homer 2018-04-24 13:14:19 UTC
Created attachment 1426056 [details]
File: mountinfo

Comment 11 Reverend Homer 2018-04-24 13:14:21 UTC
Created attachment 1426057 [details]
File: open_fds

Comment 12 Reverend Homer 2018-04-24 13:14:22 UTC
Created attachment 1426058 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 16:03:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:12:34 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.